nodeList.c File Reference
`#include "ixmlparser.h"`
`#include <assert.h>`
`#include <string.h>`
Include dependency graph for nodeList.c:

## Functions

void | ixmlNodeList_init (IXML_NodeList *nList)
| Initializes a nodelist.
IXML_Node * | ixmlNodeList_item (IXML_NodeList *nList, unsigned long index)
| Retrieves a Node from a NodeList specified by a numerical index.
int | ixmlNodeList_addToNodeList (IXML_NodeList **nList, IXML_Node *add)
| Add a node to nodelist.
unsigned long | ixmlNodeList_length (IXML_NodeList *nList)
| Returns the number of Nodes in a NodeList.
void | ixmlNodeList_free (IXML_NodeList *nList)
| Frees a NodeList object.

## Function Documentation

## ixmlNodeList_addToNodeList()

int ixmlNodeList_addToNodeList | ( | IXML_NodeList ** | nList,
|  | IXML_Node * | add
| ) |  |

Add a node to nodelist.

Parameters

  [in] | nList | The pointer to the nodelist.
  [in] | add | The node to add.

References ixmlNodeList_init().

Referenced by ixmlNode_getChildNodes(), ixmlNode_getElementsByTagName(), ixmlNode_getElementsByTagNameNS(), ixmlNode_getElementsByTagNameNSRecursive(), and ixmlNode_getElementsByTagNameRecursive().

## ixmlNodeList_init()

void ixmlNodeList_init | ( | IXML_NodeList * | nList | ) |

Initializes a nodelist.

Parameters

  [in,out] | nList | The NodeList to initialize.

Referenced by ixmlNode_getChildNodes(), and ixmlNodeList_addToNodeList().